Enable manual payment method
Enable a manual payment method so the store can accept orders without an online payment provider.
Enable a manual payment method so the store can accept orders without an online payment provider.
Authorizations
AuthorizationstringRequired
API Token authentication
Path parameters
store_idstringRequiredExample:
The ID of the store to enable manual payment for.
store_01J8Z5F8W9K8M4A7B3C2D1E0FGBody
titlestring · max: 255 · nullableOptionalExample:
Optional display name shown to customers at checkout.
Cash on deliveryResponses
201
Created response
application/json
admin_urlstringOptionalExample:
Admin UI deep-link to manage payment settings.
https://admin.example.com/store_01.../store-settings/payment-management401
Unauthenticated response
application/json
422
Validation error response
application/json
500
Error response
application/json
post/api/ecommerce/v1/stores/{store_id}/payment-methods/manual
POST /api/ecommerce/v1/stores/{store_id}/payment-methods/manual HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 28
{
"title": "Cash on delivery"
}{
"payment_method": {
"id": "spp_01J8Z5F8W9K8M4A7B3C2D1E0FG",
"provider_id": "manual",
"is_enabled": true,
"title": "Cash on delivery"
},
"admin_url": "https://admin.example.com/store_01.../store-settings/payment-management"
}Last updated
Was this helpful?